# On the Use of Unrealistic Predictions in Hundreds of Papers Evaluating Graph Representations

This repository contains the experimental code for the AAAI paper 
[On the Use of Unrealistic Predictions in Hundreds of Papers Evaluating Graph Representations](https://www.csie.ntu.edu.tw/~cjlin/papers/multilabel-embedding/multilabel_embedding.pdf).

There are three folders corresponding to three procedures:
1. `preprocess_graph_data`
    - preprocessing the original source to our input format
2. `embed_gen`
    - generating embedding vectors
3. `classification`
    - randomly splitting the embedding vectors into 80/20 training/testing splits 5 times
    - conducting multi-label techniques for multi-label node classification

The complete process is to run the three steps.

If you don't want to run step 1, the output of step 1 can be found in [graph_data](https://www.csie.ntu.edu.tw/~cjlin/papers/multilabel-embedding/graph_data).

If you don't want to run step 2, our output of step 2 can be found in 
[LIBSVM Data: Multi-label Classification](https://www.csie.ntu.edu.tw/~cjlin/libsvmtools/datasets/multilabel.html)
Due to randomness, your output from step 2 may be different from ours. 

The five training/test splits used in step 3 can be generated by the code in
`classification/matlab`.
We have fixed the seed so the splitted datasets should be the same and they are
in
[embedding_data/data.tar.xz](https://www.csie.ntu.edu.tw/~cjlin/papers/multilabel-embedding/embedding_data/data.tar.xz)

For more details please check the `README.md` in each folder therein.
(Note that in the folder `classification`, you need to check the `readme.md` since the `README` is for `LIBLINEAR`.)

## The following tools for generating embedding vectors were used in our experimental code for comparisons
- [deepwalk](https://github.com/phanein/deepwalk)
- [node2vec](https://github.com/aditya-grover/node2vec)
- [LINE](https://github.com/tangjianpku/LINE)

