#ifndef _EVAL_H
#define _EVAL_H

#include "linear.h"
#include <stdio.h>
#include <stdbool.h>

#ifdef __cplusplus
extern "C" {
#endif


/* predict function */
void binary_class_predict(FILE *input, FILE *output, const struct model *model_); 

typedef double (*eval_func) (const size_t, const double *, const int *);

eval_func get_evaluation_function();

int check_binary_beforeCV(const struct problem *prob, int *ty);
	
double precision(const size_t, const double *dec_values, const int *ty);
double recall(const size_t, const double *dec_values, const int *ty);
double fscore(const size_t, const double *dec_values, const int *ty);
double bac(const size_t, const double *dec_values, const int *ty);
double auc(const size_t, const double *dec_values, const int *ty);
double accuracy(const size_t, const double *dec_values, const int *ty);
double ap(const size_t, const double *dec_values, const int *ty);
extern eval_func evaluation_function;
extern bool quiet;

double weighted_error(const size_t, const double *dec_values, const int *ty);
extern double positive_weight;

#ifdef __cplusplus
}
#endif


#endif
