function [w, b] = one_vs_rest(train_data, options)

    if (nargin ~= 2)
        if (nargin == 1)
            options = '';
        else
            fprintf('Incorrect number of input parameters\n');
            return;
        end
    end

    x = train_data.x;
    y = train_data.y;

    w = train_binary_probs(y, x, options);
    b = 0;


function w = train_binary_probs(y, x, options)

    d = size(y, 2);

    w = zeros(size(x,1), d);
    
    for i=1:d
        m = train(2*y(:,i)-1, x, options, 'col', '');

        w(:,i) = m.w';
    end
