function [w, b] = one_vs_rest_C(train_data, options)

    if (nargin ~= 2)
        if (nargin == 1)
            options = '';
        else
            fprintf('Incorrect number of input parameters\n');
            return;
        end
    end

    x = train_data.x;
    y = train_data.y;

    w = train_binary_probs(y, x, options);
    b = 0;


function w = train_binary_probs(y, x, options)

    d = size(y, 2);

    w = zeros(size(x,1), d);
    
    for i=1:d
        cv_options = [options ' -C -v 3'];
        m = train(2*y(:,i)-1, x, cv_options, 'col', 'fscore');
        if m(3) > 0
            bestC = m(1);
        else
            bestC = 1024;
        end
        fprintf('INFO: label %d C = %f score = %.3f\n', i, bestC, m(3));
        final_options = [options ' -c ' num2str(bestC)];
        m = train(2*y(:,i)-1, x, final_options, 'col', '');

        w(:,i) = m.w';
    end
