set -x

DIM=128
WINDOW=10
WALK=80
WORKER=1
EXP=1

mkdir -p exp
for DATA in $1
do
    for HS in 0 1
    do
        # 1. learn the embeddings from edgelist
        cd tool/deepwalk/deepwalk
        python3 __main__.py --format edgelist --input ../../../datasets/$DATA/$DATA.edgelist --hs $HS --output ../../../exp/$DATA.$EXP.dw.hs$HS --window-size $WINDOW --number-walks $WALK --representation-size $DIM --undirected False --workers $WORKER

        # 2. create train/test data
        cd ../../../
        python3 ./tool/create_exp.py --embed ./exp/$DATA.$EXP.dw.hs$HS --label ./datasets/$DATA/$DATA.label --save exp/$DATA.$EXP.dw.hs$HS.svm --train_size 1.0
    done
done
