set -x

DIM=64
SAMPLES=10000
WORKER=1

cd ./tool/LINE/linux/
g++ line.cpp -L/home/cmchen/gsl/lib -std=c++11 -lpthread -lgsl -lgslcblas -O3 -o line
cd ../../../

mkdir -p exp
for DATA in $1
do
    for EXP in 1
    do
        # 1. learn the embeddings from edgelist
        ./tool/LINE/linux/line -train ./datasets/$DATA/$DATA.edgelist -output ./exp/$DATA.$EXP.line1 -size $DIM -order 1 -threads $WORKER -samples $SAMPLES
        ./tool/LINE/linux/line -train ./datasets/$DATA/$DATA.edgelist -output ./exp/$DATA.$EXP.line2 -size $DIM -order 2 -threads $WORKER -samples $SAMPLES
        python3 ./tool/concat.py ./exp/$DATA.$EXP.line1 ./exp/$DATA.$EXP.line2 > ./exp/$DATA.$EXP.line

        # 2. create train/test data
        python3 ./tool/create_exp.py --embed ./exp/$DATA.$EXP.line --label ./datasets/$DATA/$DATA.label --save exp/$DATA.$EXP.line.svm --train_size 1.0
    done
done
