set -x

DIM=128
WINDOW=10
WALK=80
WORKER=1
EXP=1

mkdir -p exp
for DATA in $1
do
    for P in 0.25 4
    do
        for Q in 0.25 4
        do
            # 1. learn the embeddings from edgelist
            cd tool/node2vec
            python3 src/main.py --input ../../datasets/$DATA/$DATA.edgelist --output ../../exp/$DATA.$EXP.pyn2v.p$P.q$Q --dimensions $DIM --num-walks $WALK --window-size $WINDOW --workers $WORKER --p $P --q $Q --weighted --directed
            cd ../..

            # 2. create train/test data
            python3 ./tool/create_exp.py --embed ./exp/$DATA.$EXP.pyn2v.p$P.q$Q --label ./datasets/$DATA/$DATA.label --save exp/$DATA.$EXP.pyn2v.p$P.q$Q.svm --train_size 1.0
        done
    done
done
