#!/usr/bin/env python

"""preprocess_label.py: Script for preprocessing graph data. This code is written by modifying the code in DeepWalk GitHub (https://github.com/phanein/deepwalk/blob/master/example_graphs/scoring.py)."""

import numpy
import sys

from argparse import ArgumentParser, ArgumentDefaultsHelpFormatter
from collections import defaultdict
from six import iteritems
from scipy.io import loadmat

def main():
  parser = ArgumentParser("preprocess",
                          formatter_class=ArgumentDefaultsHelpFormatter,
                          conflict_handler='resolve')
  parser.add_argument("--matfile", required=True,
                      help='A .mat file containing the adjacency matrix and node labels of the input network.')
  parser.add_argument("--adj-matrix-name", default='network',
                      help='Variable name of the adjacency matrix inside the .mat file.')
  parser.add_argument("--label-matrix-name", default='group',
                      help='Variable name of the labels matrix inside the .mat file.')

  args = parser.parse_args()

  labels_matrix = loadmat(args.matfile)[args.label_matrix_name]
  labels_matrix.maxprint = labels_matrix.count_nonzero()
  with open("mat.txt","w") as file:
    file.write(str(labels_matrix))
    file.close()

  import sys
  sys.exit()

if __name__ == "__main__":
  sys.exit(main())
