#!/bin/bash
set -e
set -x

mkdir -p blogcatalog flickr youtube

datasets=("blogcatalog" "flickr" "youtube")

for data in "${datasets[@]}"; do
  wget -nc http://leitang.net/code/social-dimension/data/$data.mat
  python2 ./preprocess_label.py --matfile ./$data.mat
  cat mat.txt | sed 's#  (##' | sed 's#)##' | sed 's#,##' | sed 's#\t1.0# 1#' > $data.label.tmp
  cut -d ' ' -f1 $data.label.tmp > $data.label.aaa
  awk '{print $2+1}' $data.label.tmp > $data.label.bbb
  paste $data.label.aaa $data.label.bbb > $data/$data.label
  rm -rf mat.txt $data.label.tmp $data.label.aaa $data.label.bbb

  python2 ./preprocess_graph.py --matfile ./$data.mat > $data.adjlist.tmp
  cat $data.adjlist.tmp | sed 's#{##g' | sed "s#'##g" | sed 's#,##g' | sed 's#] #\n#g' | sed 's#\: \[# #g' | sed 's#]}##g' >   $data.adjlist
  python2 adjacency-list-to-edges.py $data.adjlist $data/$data.edgelist
  rm $data.adjlist.tmp $data.adjlist
done

mkdir -p ppi

wget -nc http://snap.stanford.edu/graphsage/ppi.zip
unzip -d stanford.preprocessed -j ppi

cat stanford.preprocessed/ppi-G.json | jq '.links[] | .[]' | paste -d ' ' - - | sed 's#$#  1#' > ppi/ppi.edgelist

cat stanford.preprocessed/ppi-class_map.json | jq -r 'keys_unsorted | .[]' > ppi-class_map.key
cat stanford.preprocessed/ppi-class_map.json | jq -r '.[] | join(" ")' > ppi-class_map.values
paste ppi-class_map.key ppi-class_map.values > ppi-class_map.tmp
cat ppi-class_map.tmp | python2 tolabels.py > ppi/ppi.label

rm -rf ppi-class_map.key ppi-class_map.tmp ppi-class_map.values ppi.zip